summaryrefslogtreecommitdiffstats
path: root/system/courier-screenplay
diff options
context:
space:
mode:
author M.Dinslage2018-03-10 15:03:23 +0100
committer Willy Sudiarto Raharjo2018-03-17 02:51:45 +0100
commited58965e8cc4ec3146ca275ae0775280fc161b11 (patch)
treea41a3240899a469b699aebc49049410f16739808 /system/courier-screenplay
parent96c449f46d4e9cc6efa40c8923bf1e647d110d73 (diff)
downloadslackbuilds-ed58965e8cc4ec3146ca275ae0775280fc161b11.tar.gz
system/courier-screenplay: Added (a courier font).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/courier-screenplay')
-rw-r--r--system/courier-screenplay/README2
-rw-r--r--system/courier-screenplay/courier-screenplay.SlackBuild73
-rw-r--r--system/courier-screenplay/courier-screenplay.info10
-rw-r--r--system/courier-screenplay/doinst.sh11
-rw-r--r--system/courier-screenplay/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/courier-screenplay/README b/system/courier-screenplay/README
new file mode 100644
index 0000000000..529acfa6a8
--- /dev/null
+++ b/system/courier-screenplay/README
@@ -0,0 +1,2 @@
+A Courier font that is strong, well-balanced for reading, and
+excellent for printed and PDF scripts.
diff --git a/system/courier-screenplay/courier-screenplay.SlackBuild b/system/courier-screenplay/courier-screenplay.SlackBuild
new file mode 100644
index 0000000000..ab5bc4d6d7
--- /dev/null
+++ b/system/courier-screenplay/courier-screenplay.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for courier-screenplay
+
+# Copyright 2018 Matt Dinslage (daedra1980@gmail.com), Springfield, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=courier-screenplay
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+SRCNAM="CourierScreenplay"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM $PRGNAM-$VERSION
+
+# install the fonts
+mkdir -p $PKG/usr/share/fonts/TTF
+unzip -jo $CWD/$SRCNAM.zip "Courier*/Courier*ttf" -d $PKG/usr/share/fonts/TTF
+
+# add license to the doc directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+unzip -jo $CWD/$SRCNAM.zip "Courier*/License.txt" -d $PKG/usr/doc/$PRGNAM-$VERSION
+
+cd $PKG
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/courier-screenplay/courier-screenplay.info b/system/courier-screenplay/courier-screenplay.info
new file mode 100644
index 0000000000..f1e53aee13
--- /dev/null
+++ b/system/courier-screenplay/courier-screenplay.info
@@ -0,0 +1,10 @@
+PRGNAM="courier-screenplay"
+VERSION="1.0"
+HOMEPAGE="https://www.fadeinpro.com/page.pl?content=download#fonts"
+DOWNLOAD="https://www.fadeinpro.com/download/fonts/CourierScreenplay.zip"
+MD5SUM="1020c92c9cf69049447c070ffa15beb0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
diff --git a/system/courier-screenplay/doinst.sh b/system/courier-screenplay/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/courier-screenplay/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/courier-screenplay/slack-desc b/system/courier-screenplay/slack-desc
new file mode 100644
index 0000000000..8ce95bacc6
--- /dev/null
+++ b/system/courier-screenplay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+courier-screenplay: courier-screenplay (a courier font)
+courier-screenplay:
+courier-screenplay: A Courier font that is strong, well-balanced for reading, and
+courier-screenplay: excellent for printed and PDF scripts.
+courier-screenplay:
+courier-screenplay:
+courier-screenplay:
+courier-screenplay:
+courier-screenplay:
+courier-screenplay:
+courier-screenplay: